#include<bits/stdc++.h>

using namespace std;

int main()
{
    int tmp = 0;
    
    int n;
    cin>>n;
    
    int a[n];
    
    for(int i = 0;i<n;i++)
    {
        cin>>a[i];
    }
    
     
            tmp  = a[0];
            a[0] = a[1];
            a[1] = tmp;

    for(int i = 0;i<n;i++)
    {
        cout<<a[i]<<" ";    
    }
    return 0;
}